Subject: [sacm] Requested late modifications to the SWIMA specification

From: "Schmidt, Charles M." <[email-masked]>
Date: Fri, 18 May 2018 20:27:46 +0000

Hello,

SWIMA is nearing finalization. However, there have been requests for some late changes to the document that would have a normative impact. Benjamin Kaduk (AD) indicated he is willing to consider allowing these changes without requiring a restart of the review process, but only if there are no objections from the working group. Both of these changes are such that making them will improve the standard, but neither are required for a functional standard and SWIMA can be finalized without either change if members of the workgroup object to those changes. 

Briefly, the requested changes are:
1) Add a section to the document's IANA considerations containing "Designated Expert Guidelines" for the Registry for Software Data Models that SWIMA defines. This section would follow the template of the Designated Expert Guidelines in section 7.1 of RFC 5792 (PA-TNC) and section 6.1 of RFC 5793 (PB-TNC). These guidelines contain normative text: values MUST be useful, not harmful to the Internet, and support interoperability; and referenced documents in the IANA tables MUST be made permanently available.
2) For both the Software Identifier Inventory and Software Inventory attributes, add an 8-byte "Reserved" field between the Source ID Number and Software Identifier Length fields in the message. This would make all four types of Response Attributes have a long segment of the same fields in the same order, which would simplify parser implementation. Currently Event attributes and Inventory attributes have a segment of fields that are the same EXCEPT that Event attributes have an 8-byte Action field between the Source ID Number and Software Identifier Length fields, which is absent in Inventory attributes.

We will not make any change for which there are objections from the workgroup, and SWIMA's function will not be hindered by the absence of these changes. That said, I do feel that the changes would both benefit future IANA expert reviewers and implementers, respectively.

I am aware of two implementations of SWIMA (by Andreas Steffan and Carl-Heinz Genzel), and both are supportive of the field change in item #2.

Please let me know if you have any questions or concerns, and definitely speak up if you have an objection to either of these changes.

Thanks,
Charles

---

From: Ira McDonald <[email-masked]>
Date: Sat, 19 May 2018 08:10:06 -0400

Hi Charles,

I agree with both proposed changes.

Thanks for your diligent work on this spec.

Cheers,
- Ira

Ira McDonald (Musician / Software Architect)
Co-Chair - TCG Trusted Mobility Solutions WG
Chair - Linux Foundation Open Printing WG
Secretary - IEEE-ISTO Printer Working Group
Co-Chair - IEEE-ISTO PWG Internet Printing Protocol WG
IETF Designated Expert - IPP & Printer MIB
Blue Roof Music / High North Inc
http://sites.google.com/site/blueroofmusic
http://sites.google.com/site/highnorthinc
mailto: [email-masked]
Jan-April: 579 Park Place  Saline, MI  48176  734-944-0094
May-Dec: PO Box 221  Grand Marais, MI 49839  906-494-2434

On Fri, May 18, 2018 at 4:27 PM, Schmidt, Charles M. <[email-masked]>
wrote:

> Hello,
>
> SWIMA is nearing finalization. However, there have been requests for some
> late changes to the document that would have a normative impact. Benjamin
> Kaduk (AD) indicated he is willing to consider allowing these changes
> without requiring a restart of the review process, but only if there are no
> objections from the working group. Both of these changes are such that
> making them will improve the standard, but neither are required for a
> functional standard and SWIMA can be finalized without either change if
> members of the workgroup object to those changes.
>
> 1) Add a section to the document's IANA considerations containing
> "Designated Expert Guidelines" for the Registry for Software Data Models
> that SWIMA defines. This section would follow the template of the
> Designated Expert Guidelines in section 7.1 of RFC 5792 (PA-TNC) and
> section 6.1 of RFC 5793 (PB-TNC). These guidelines contain normative text:
> values MUST be useful, not harmful to the Internet, and support
> interoperability; and referenced documents in the IANA tables MUST be made
> permanently available.
> 2) For both the Software Identifier Inventory and Software Inventory
> attributes, add an 8-byte "Reserved" field between the Source ID Number and
> Software Identifier Length fields in the message. This would make all four
> types of Response Attributes have a long segment of the same fields in the
> same order, which would simplify parser implementation. Currently Event
> attributes and Inventory attributes have a segment of fields that are the
> same EXCEPT that Event attributes have an 8-byte Action field between the
> Source ID Number and Software Identifier Length fields, which is absent in
> Inventory attributes.
>
> We will not make any change for which there are objections from the
> workgroup, and SWIMA's function will not be hindered by the absence of
> these changes. That said, I do feel that the changes would both benefit
> future IANA expert reviewers and implementers, respectively.
>
> I am aware of two implementations of SWIMA (by Andreas Steffan and
> Carl-Heinz Genzel), and both are supportive of the field change in item #2.
>
> Please let me know if you have any questions or concerns, and definitely
> speak up if you have an objection to either of these changes.
>
> Thanks,
> Charles
>
> _______________________________________________
> sacm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sacm
>

---

From: Henk Birkholz <[email-masked]>
Date: Thu, 24 May 2018 15:31:24 +0200

Hi all,

tl;dr both changes are minor and will have no impact on the ongoing 
process, I assume.

In detail:

1.) Ack

2.) I can see the appeal of a cookie cutter approach due to the 
optimization it seems to provide. Please mind, I am not voting against 
this change, but only would like to highlight:
a) "The Law of Diminishing Returns" (referenced in 
https://tools.ietf.org/html/rfc3439#section-3.1) out of habit, and
b) if you are really worried about parsing errors on this level, maybe 
consider a more robust wire serialization next time ;-)

Viele Grüße,

Henk

---

From: Kathleen Moriarty <[email-masked]>
Date: Thu, 24 May 2018 10:41:38 -0400

I think with the agreement you have from implementers, this is a fine
change to make without having to go back through the process.  Thanks
for your work on this!

Best regards,
Kathleen

On Thu, May 24, 2018 at 9:31 AM, Henk Birkholz
<[email-masked]> wrote:
> Hi all,
>
> tl;dr both changes are minor and will have no impact on the ongoing process,
> I assume.
>
> In detail:
>
> 1.) Ack
>
> 2.) I can see the appeal of a cookie cutter approach due to the optimization
> it seems to provide. Please mind, I am not voting against this change, but
> only would like to highlight:
>> that SWIMA defines. This section would follow the template of the Designated
>> Expert Guidelines in section 7.1 of RFC 5792 (PA-TNC) and section 6.1 of RFC
>> 5793 (PB-TNC). These guidelines contain normative text: values MUST be
>> useful, not harmful to the Internet, and support interoperability; and
>> referenced documents in the IANA tables MUST be made permanently available.
>> workgroup, and SWIMA's function will not be hindered by the absence of these
>> changes. That said, I do feel that the changes would both benefit future
>> IANA expert reviewers and implementers, respectively.
>>

-- 

Best regards,
Kathleen

---

From: Karen O'Donoghue <[email-masked]>
Date: Thu, 24 May 2018 15:02:46 +0000

Hello SACM working group, 

The chairs and everyone who has spoken thus far is in favor of this change, I would like to request that any final opinions on proceeding (yes or no) be expressed by close of business on Monday May 26th. I currently see a solid working group consensus to proceed with this last minute change unless folks speak up by Monday. 

Thanks all (and enjoy the holiday weekend for those of you in the US). 

Karen

> On May 18, 2018, at 4:27 PM, Schmidt, Charles M. <[email-masked]> wrote:
> 
> Hello,
>

---

From: Karen O'Donoghue <[email-masked]>
Date: Thu, 24 May 2018 22:23:06 +0000

Correction... please reply by Monday May 28th. 

Sent from my iPhone

> On May 24, 2018, at 11:02 AM, Karen O'Donoghue <[email-masked]> wrote:
>